/*
**********************************************************************************************************************
*											        eGon
*						           the Embedded GO-ON Bootloader System
*									       eGON arm boot sub-system
*
*						  Copyright(C), 2006-2010, SoftWinners Microelectronic Co., Ltd.
*                                           All Rights Reserved
*
* File    : sw_key.c
*
* By      : Jerry
*
* Version : V2.00
*
* Date	  :
*
* Descript:
**********************************************************************************************************************
*/
#include  "include.h"

/*
************************************************************************************************************
*
*                                             function
*
*    ƣ
*
*    б
*
*    ֵ  
*
*    ˵    
*
*
************************************************************************************************************
*/
__s32 eGon2_key_get_status(void)
{
    __u32 reg_val;

    reg_val = KEYC_REG_INT_STATUS;
    if(reg_val & (1 << 1))     //жǷǵһΰ
    {
        if(reg_val & (1 << 0))  //ǣжϰǷ㹻
        {
            KEYC_REG_INT_STATUS |= (reg_val & 0x1f);//ʱ㹻ΪϷ
            return 1;
        }
                               //񣬰ʱ䲻
    }
    else if(reg_val & (1 << 0))//ʾǵһΰ£ֱpengding
    {
        KEYC_REG_INT_STATUS |= (1 << 0);

        return 0;              //ظ
    }
    //ûκΰ
    return -1;
}
/*
************************************************************************************************************
*
*                                             function
*
*    ƣ
*
*    б
*
*    ֵ  
*
*    ˵    
*
*
************************************************************************************************************
*/
__s32 eGon2_key_get_value(void)
{
    __u32 reg_val;
    __u32 key_val;

    reg_val = KEYC_REG_INT_STATUS;
    if(reg_val & (1 << 1))     //жǷǵһΰ
    {
        if(reg_val & (1 << 0))  //ǣжϰǷ㹻
        {
            KEYC_REG_INT_STATUS |= (reg_val & 0x1f);//ʱ㹻ΪϷ
            key_val = KEYC_REG_DATA0 & 0x3f;
            return key_val;
        }
                               //񣬰ʱ䲻
    }
    else if(reg_val & (1 << 0))//ʾǵһΰ£ֱpengding
    {
        KEYC_REG_INT_STATUS |= (1 << 0);
        key_val = KEYC_REG_DATA0 & 0x3f;

        return key_val;              //ظ
    }
    //ûκΰ
    return -1;
}



